### Class

# St Theme

since: 14

#### Description

    final class St.Theme : GObject.Object
    {
      /* No available fields */
    }

No description available.

Available since: 14

#### Ancestors

- GObject

#### Constructors

###### st_theme_new

No description available.

since: 14

#### Instance methods

###### st_theme_get_custom_stylesheets

Get a list of the stylesheet files loaded with st_theme_load_stylesheet().

since: 14

###### st_theme_load_stylesheet

Load the stylesheet associated with `file`.

since: 14

###### st_theme_unload_stylesheet

Unload the stylesheet associated with `file`. If `file` was not loaded this function does nothing.

since: 14

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### St.Theme:application-stylesheet

The highest priority stylesheet, representing application-specific styling; this is associated with the CSS “author” stylesheet.

since: 14

###### St.Theme:default-stylesheet

The lowest priority stylesheet, representing global default styling; this is associated with the CSS “user agent” stylesheet.

since: 14

###### St.Theme:theme-stylesheet

The second priority stylesheet, representing theme-specific styling; this is associated with the CSS “user” stylesheet.

since: 14

#### Signals

###### St.Theme::custom-stylesheets-changed

No description available.

since: 14

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct StThemeClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.